var React = require('react');
var BemMixin = require('./BemMixin');

var PropTypes = React.PropTypes;

var Progress = React.createClass({
    displayName: 'Progress',
    blockName: 'progressbar',
    mixins: [BemMixin]
});

// @ifdef DEBUG
Progress.propTypes = {
    mod: PropTypes.string,
    theme: PropTypes.oneOf(['islands']),
    val: PropTypes.number
};
// @endif

Progress.propsMap = {
    mods: {
        theme: null
    },
    val: [null, 'setVal']
};

Progress.defaultProps = {
    theme: 'islands'
};

module.exports = Progress;
